Subject: bug#21015: 25.0.50; Shell is now displayed in another window, what about EShell?

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Aug 2019 12:50:28 +0200

Eli Zaretskii <[email-masked]> writes:

>> I think it would make sense to make `M-x eshell' consistent with `M-x
>> shell' on this point.  Does anybody have any objections?
>
> That's backward-incompatible, so I can only agree to it as an optional
> behavior, not as the default.
>
> (Eshell is conceptually a very different beast from a system shell.)

OK; then I don't think it's worth doing (it's more work for users to set
that option than to just create a new window manually, really), and I'm
closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no